Dynamic Containers
Get one dynamic container's desired generation, status, and internal address.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string"{ "name": "string", "spec": { "image": "string", "resources": { "cpu": "string", "memory": "string" }, "replicas": 0, "ports": [ 1 ], "env": {}, "healthCheck": { "path": "string", "port": 1 } }, "generation": 1, "appliedGeneration": 0, "status": "pending", "statusMessage": "string", "internalServices": [ { "internalDns": "string", "port": 0 } ], "deleted": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Remove a dynamic container from this deployment.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string"{ "name": "string", "deleted": true}Create or replace a dynamic container in an existing deployment.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string" \ -H "Content-Type: application/json" \ -d '{ "spec": { "image": "string", "resources": { "cpu": "string", "memory": "string" }, "replicas": 0, "ports": [ 1 ] } }'{ "name": "string", "spec": { "image": "string", "resources": { "cpu": "string", "memory": "string" }, "replicas": 0, "ports": [ 1 ], "env": {}, "healthCheck": { "path": "string", "port": 1 } }, "generation": 1, "appliedGeneration": 0, "status": "pending", "statusMessage": "string", "internalServices": [ { "internalDns": "string", "port": 0 } ], "deleted": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}List containers created after this deployment was installed.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers"[ { "name": "string", "spec": { "image": "string", "resources": { "cpu": "string", "memory": "string" }, "replicas": 0, "ports": [ 1 ], "env": {}, "healthCheck": { "path": "string", "port": 1 } }, "generation": 1, "appliedGeneration": 0, "status": "pending", "statusMessage": "string", "internalServices": [ { "internalDns": "string", "port": 0 } ], "deleted": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]Read recent logs for one dynamic container.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Minutes of logs to read, ending now. Ignored with a cursor.
1 <= value <= 10080601 <= value <= 200100nextCursor from the previous page. It keeps that page's time window.
length <= 4096Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string/logs"{ "logs": [ { "timestamp": "2019-08-24T14:15:22Z", "level": "string", "message": "string", "replicaId": "string" } ], "numHits": 0, "nextCursor": "string", "partial": true, "errorCount": 0, "cursorRestarted": true}